<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<!-- Generic resources fragment-->
<div th:replace="fragments/header :: head (pageTitle = #{register.title})" th:remove="tag">
    <h1>Aquí va el contingut del head amb els metas i els css</h1>
</div>
<link rel="stylesheet" th:href="@{/css/combat.css}" href="css/combat.css"/>
<style>
.bg-negre {
    background-color: #000;
    color: #fff;
}
.flip {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

.no-padding{
    padding-right: 0;
    padding-left: 0;
}

.avatar{
    height: fit-content;
    width: fit-content;
    max-height: 364px;
}

.result-swal {
  background: rgba(255,255,255,.8);
  backdrop-filter: blur(2px);
}
</style>
</head>
<body>
<!-- Header fragment -->
<div th:replace="fragments/header :: header" th:remove="tag">
    <h1>Aquí va el contingut del header amb el seu menu</h1>
</div>

<!-- Page top section -->
<section class="page-top-section set-bg" th:attr="data-setbg=@{/img/header-bg/2.jpg}" data-setbg="img/header-bg/2.jpg">
    <div class="container">
        <h2 th:text="#{combat.title}">Títol del combat</h2>
    </div>
</section>
<!-- Page top section end -->

<!-- Blog section -->
<section class="blog-section spad">
    <div  class="container">
        <div class="row">
            <h2 th:text="#{combat.title}">Títol del combat</h2>
        </div>
        <div class="row align-middle bg-negre">
            <div class="col col-lg-5">
                <center>[[${fighter.name}]]</center>
                <div class="row">
                    <div class="col col-lg-5">
                        <button id="fighterAttack" class="btn btn-primary" th:text="#{combat.attack.button}">Attack</button>
                        <button id="fighterCounter" class="btn btn-primary" th:text="#{combat.counter.button}">Counter</button>
                        <button id="fighterHeal" class="btn btn-primary" th:text="#{combat.heal.button}">Heal</button>
                        <button id="fighterInterrupt" class="btn btn-primary" th:text="#{combat.interrupt.button}">Interrupt</button>
                    </div>
                    <div class="col no-padding">
                        <img id="fighter" class="avatar" th:attr="src=@{'/img/animatedGif/street0-idle.gif'}" th:alt-title="Player">
                    </div>
                </div>
            </div>
            <div class="col d-flex justify-content-center no-padding">
                <img id="vs" class="flip" th:attr="src=@{'/img/animatedGif/VSBlau.gif'}">
            </div>
            <div class="col col-lg-5">
                <center>[[${enemy.name}]]</center>
                <div class="row">
                    <div class="col no-padding">
                        <img id="computer" class="flip avatar" th:attr="src=@{'/img/animatedGif/street1-idle.gif'}" th:alt-title="Computer">
                    </div>
                    <div class="col col-lg-5">
                        <button class="btn btn-secondary disabled" disabled="disabled" th:text="#{combat.attack.button}">Attack</button>
                        <button class="btn btn-secondary disabled" disabled="disabled" th:text="#{combat.counter.button}">Dodge</button>
                        <button class="btn btn-secondary disabled" disabled="disabled" th:text="#{combat.heal.button}">Heal</button>
                        <button class="btn btn-secondary disabled" disabled="disabled" th:text="#{combat.interrupt.button}">Interrupt</button>
                    </div>

                </div>
            </div>
        </div>
        <div class="row align-middle bg-negre">
            <div class="area col col-lg-5">
                <div class="healthPlayer-box">
                    <div class="healthPlayer-bar-red"></div>
                    <div class="healthPlayer-bar-blue"></div>
                    <div class="healthPlayer-bar"></div>
                    <div class="healthPlayer-bar-text"></div>
                </div>
            </div>
            <div class="area col col-lg-2">
                <button id="skipAnimations" class="btn btn-primary" th:text="#{combat.skipAnim.button}">skipAnimations</button>
            </div>
            <div class="area col col-lg-5">
                <div class="healthComputer-box">
                    <div class="healthComputer-bar-red"></div>
                    <div class="healthComputer-bar-blue"></div>
                    <div class="healthComputer-bar"></div>
                    <div class="healthComputer-bar-text"></div>
                </div>
            </div>
        </div>

        <input type="hidden" name="combat_id" id="combat_id" th:value="${combat_id}">
    </div>
</section>

<!-- footer fragment -->
<div th:replace="fragments/footer :: footer" th:remove="tag">
    <h1>Aquí la informació del footer</h1>
</div>

<!-- Generic Scripts fragment -->
<div th:replace="fragments/header :: scripts" th:remove="tag">
    <h1>Aquí posem els javascripts</h1>
</div>
<div>
    <!--====== Javascripts & Jquery Local ======-->
    <script th:src="@{/js/combat/resources.js}" src="js/combat/resources.js"></script>
    <script th:src="@{/js/combat/constants.js}" src="js/combat/constants.js"></script>
    <script th:src="@{/js/combat/animations.js}" src="js/combat/animations.js"></script>
    <script th:src="@{/js/combat/actions.js}" src="js/combat/actions.js"></script>
    <script th:src="@{/js/combat/healthbar.js}" src="js/combat/healthbar.js"></script>
</div>
</body>
</html>